# $Revision: 1.25 $, $Date: 2011/06/13 13:27:34 $
%define	quirkver	20100619
Summary:	Power management utilities and scripts
Summary(pl.UTF-8):	Narzędzia i skrypty do zarządzania energią
Name:		pm-utils
Version:	1.4.1
Release:	6
License:	GPL v2
Group:		Applications/System
Source0:	http://pm-utils.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	1742a556089c36c3a89eb1b957da5a60
Source1:	http://pm-utils.freedesktop.org/releases/pm-quirks-%{quirkver}.tar.gz
# Source1-md5:	3b6ee39056b9ece0cd5e073a4c272b05
Patch0:		bashism.patch
URL:		http://pm-utils.freedesktop.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	xmlto
Requires:	hdparm
Requires:	kbd
Suggests:	radeontool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pm-utils package contains utilities and scripts useful for tasks
related to power management.

%description -l pl.UTF-8
Pakiet pm-utils zawiera narzędzia i skrypty pomocne przy zadaniach
związanych z zarządzaniem energią.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/log

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Install quirks
cp -a video-quirks $RPM_BUILD_ROOT%{_libdir}/pm-utils

touch $RPM_BUILD_ROOT%{_var}/log/pm-{powersave,suspend}.log

# included via %doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/pm-utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO pm/HOWTO*
%dir %{_sysconfdir}/pm
%dir %{_sysconfdir}/pm/config.d
%dir %{_sysconfdir}/pm/power.d
%dir %{_sysconfdir}/pm/sleep.d
%attr(755,root,root) %{_bindir}/on_ac_power
%attr(755,root,root) %{_bindir}/pm-is-supported
%dir %{_libdir}/pm-utils
%dir %{_libdir}/pm-utils/bin
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-action
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-pmu
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-reset-swap
%attr(755,root,root) %{_libdir}/pm-utils/bin/service
%dir %{_libdir}/pm-utils/module.d
%attr(755,root,root) %{_libdir}/pm-utils/module.d/kernel
%attr(755,root,root) %{_libdir}/pm-utils/module.d/tuxonice
%attr(755,root,root) %{_libdir}/pm-utils/module.d/uswsusp
%dir %{_libdir}/pm-utils/power.d
%attr(755,root,root) %{_libdir}/pm-utils/power.d/*
%dir %{_libdir}/pm-utils/sleep.d
%attr(755,root,root) %{_libdir}/pm-utils/sleep.d/*
%{_libdir}/pm-utils/defaults
%{_libdir}/pm-utils/functions
%{_libdir}/pm-utils/pm-functions
%{_libdir}/pm-utils/video-quirks
%attr(755,root,root) %{_sbindir}/pm-hibernate
%attr(755,root,root) %{_sbindir}/pm-powersave
%attr(755,root,root) %{_sbindir}/pm-suspend
%attr(755,root,root) %{_sbindir}/pm-suspend-hybrid
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_pkgconfigdir}/pm-utils.pc
%ghost %{_var}/log/pm-powersave.log
%ghost %{_var}/log/pm-suspend.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pm-utils.spec,v $
Revision 1.25  2011/06/13 13:27:34  kiesiu
- removed vbetool from Suggests
- rel. 6

Revision 1.24  2011/06/13 12:40:20  kiesiu
- changed radeontool from R: to S:
- S: vbetool

Revision 1.23  2011/06/12 11:56:15  arekm
- rel 4; install quirks database

Revision 1.22  2011/06/12 11:49:31  arekm
- rel 3; drop vbetool dep (does bad things on KMS drivers); R missing deps: hdparm, kbd, radeontool

Revision 1.21  2011/02/20 15:19:29  glen
- sata_alpm uses bash syntax, force bash

Revision 1.20  2011/02/12 20:29:42  pluto
- package the /var/log/pm-powersave.log

Revision 1.19  2010/10/12 22:27:33  atler
- up to 1.4.1
- hal no longer required

Revision 1.18  2010/06/04 21:09:55  arvenil
- up to 1.3.0

Revision 1.17  2009/12/30 15:05:52  patrys
- 1.2.6.1

Revision 1.16  2009/11/04 16:27:30  sls
- BR: xmlto

Revision 1.15  2009/04/11 13:59:45  patrys
- 1.2.5

Revision 1.14  2009/03/13 15:04:00  megabajt
- updated to 1.2.4

Revision 1.13  2008/12/24 11:05:43  megabajt
- updated to 1.2.3

Revision 1.12  2008/10/31 22:17:28  megabajt
- updated to 1.2.2.1

Revision 1.11  2008/09/07 15:17:06  patrys
- 1.2.0

Revision 1.10  2008/07/27 15:19:30  megabajt
- updated to 1.1.2.4

Revision 1.9  2008/05/29 08:30:14  patrys
- 1.1.2.2

Revision 1.8  2008-05-28 07:43:54  patrys
- 1.1.2.1

Revision 1.7  2008-05-26 13:56:01  patrys
- 1.1.2

Revision 1.6  2008-05-12 08:23:37  patrys
- 1.1.1

Revision 1.5  2008-04-02 20:13:42  megabajt
- updated to 1.1.0
- removed obsolete -cfg and -uswsusp-support patches

Revision 1.4  2007-11-16 20:09:46  megabajt
- release 1

Revision 1.3  2007-11-07 16:38:00  megabajt
- added support for s2disk / s2ram programs (uswsusp-support patch)
- release 0.2

Revision 1.2  2007/11/06 20:44:17  megabajt
- package manuals
- mark log file as %ghost

Revision 1.1  2007/11/02 19:57:44  megabajt
- new; NFY

